## org.apache.xpath.axes
Class FilterExprIteratorSimple

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--org.apache.xpath.axes.LocPathIterator
                              |
                              +--org.apache.xpath.axes.FilterExprIteratorSimple

public class FilterExprIteratorSimple
extends LocPathIterator

Class to use for one-step iteration that doesn't have a predicate, and doesn't need to set the context.

See Also:
  Serialized Form

Fields inherited from class org.apache.xpath.axes.LocPathIterator
`m_lastFetched`

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Constructor Summary
`FilterExprIteratorSimple()` Create a FilterExprIteratorSimple object.
`FilterExprIteratorSimple(Expression expr)` Create a FilterExprIteratorSimple object.

Method Summary
`void` `callPredicateVisitors(XPathVisitor visitor)` This will traverse the heararchy, calling the visitor for each member.
`boolean` `deepEquals(Expression expr)`
`void` `detach()` Detaches the walker from the set which it iterated over, releasing any computational resources and placing the iterator in the INVALID state.
`static XNodeSet` `executeFilterExpr(int context, XPathContext xctxt, PrefixResolver prefixResolver, boolean isTopLevel, int stackFrame, Expression expr)` Execute the expression.
`void` `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`int` `getAnalysisBits()` Get the analysis bits for this walker, as defined in the WalkerFactory.
`int` `getAxis()` Returns the axis being iterated, if it is known.
`Expression` `getInnerExpression()` Get the inner contained expression of this filter.
`boolean` `isDocOrdered()` Returns true if all the nodes in the iteration well be returned in document order.
`int` `nextNode()` Returns the next node in the set and advances the position of the iterator in the set.
`void` `setInnerExpression(Expression expr)` Set the inner contained expression of this filter.
`void` `setRoot(int context, java.lang.Object environment)` Initialize the context values for this expression after it is cloned.

Methods inherited from class org.apache.xpath.axes.LocPathIterator

`allowDetachToRelease, asIterator, asNode, bool, callVisitors, cloneWithReset, execute, executeCharsToContentHandler, getContext, getCurrentContextNode, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getFilter, getFoundLast, getIsTopLevel, getLastPos, getLength, getPrefixResolver, getRoot, getWhatToShow, getXPathContext, incrementCurrentPos, isFresh, isMutable, isNodesetExpr, item, previousNode, reset, runTo, setCurrentContextNode, setCurrentPos, setEnvironment, setIsTopLevel, setItem, setShouldCacheNodes, size`

Methods inherited from class org.apache.xpath.axes.PredicatedNodeTest
`acceptNode, canTraverseOutsideSubtree, clone, getLocPathIterator, getPredicate, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, initProximityPosition, isReverseAxes, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class org.apache.xpath.Expression
`asIteratorRaw, assertion, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterExprIteratorSimple

    public FilterExprIteratorSimple()

  Create a FilterExprIteratorSimple object.

### FilterExprIteratorSimple

    public FilterExprIteratorSimple(Expression expr)

  Create a FilterExprIteratorSimple object.

Method Detail

### setRoot

    public void setRoot(int context,
                        java.lang.Object environment)

  Initialize the context values for this expression after it is cloned.
  Parameters:
    `context` - The XPath runtime context for this transformation.
  Overrides:
    setRoot in class LocPathIterator

### executeFilterExpr

    public static XNodeSet executeFilterExpr(int context,
                                             XPathContext xctxt,
                                             PrefixResolver prefixResolver,
                                             boolean isTopLevel,
                                             int stackFrame,
                                             Expression expr)
                                      throws WrappedRuntimeException

  Execute the expression. Meant for reuse by other FilterExpr iterators that are not derived from this object.

### nextNode

    public int nextNode()

  Returns the next node in the set and advances the position of the iterator in the set. After a NodeIterator is created, the first call to nextNode() returns the first node in the set.
  Returns:
    The next `Node` in the set being iterated over, or `null` if there are no more members in that set.
  Overrides:
    nextNode in class LocPathIterator

### detach

    public void detach()

  Detaches the walker from the set which it iterated over, releasing any computational resources and placing the iterator in the INVALID state.
  Overrides:
    detach in class LocPathIterator

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class PredicatedNodeTest

### getInnerExpression

    public Expression getInnerExpression()

  Get the inner contained expression of this filter.

### setInnerExpression

    public void setInnerExpression(Expression expr)

  Set the inner contained expression of this filter.

### getAnalysisBits

    public int getAnalysisBits()

  Get the analysis bits for this walker, as defined in the WalkerFactory.
  Returns:
    One of WalkerFactory#BIT_DESCENDANT, etc.
  Overrides:
    getAnalysisBits in class LocPathIterator

### isDocOrdered

    public boolean isDocOrdered()

  Returns true if all the nodes in the iteration well be returned in document order. Warning: This can only be called after setRoot has been called!
  Returns:
    true as a default.
  Overrides:
    isDocOrdered in class LocPathIterator

### callPredicateVisitors

    public void callPredicateVisitors(XPathVisitor visitor)

  This will traverse the heararchy, calling the visitor for each member. If the called visitor method returns false, the subtree should not be called.
  Parameters:
    `visitor` - The visitor whose appropriate method will be called.
  Overrides:
    callPredicateVisitors in class PredicatedNodeTest

### deepEquals

    public boolean deepEquals(Expression expr)

  Overrides:
    deepEquals in class PredicatedNodeTest
  See Also:
    `Expression.deepEquals(Expression)`

### getAxis

    public int getAxis()

  Returns the axis being iterated, if it is known.
  Returns:
    Axis.CHILD, etc., or -1 if the axis is not known or is of multiple types.
  Overrides:
    getAxis in class LocPathIterator

Copyright © 2006 Apache XML Project. All Rights Reserved.